Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79676 - boot freezes at starting ppp0 when ppp DEMAND=yes
Summary: boot freezes at starting ppp0 when ppp DEMAND=yes
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 8.0
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-14 22:10 UTC by Christopher Johnson
Modified: 2014-03-17 02:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-14 04:23:27 UTC


Attachments (Terms of Use)
A tidy avoidance of this bug. (deleted)
2002-12-14 22:15 UTC, Christopher Johnson
no flags Details | Diff

Description Christopher Johnson 2002-12-14 22:10:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021202

Description of problem:
In spite of ppp-watch changelog entries regarding 30 second timeout waiting for
ppp interface to start, ppp-watch does not timeout, does not detach, until
packets are received which trigger dial-on-demand.

This causes the boot sequence to freeze for an arbitrarily long time (traffic
dependent).


How reproducible:
Always

Steps to Reproduce:
1.Configure DEMAND=yes and ONBOOT=yes in ifcfg-ppp0
2.Reboot
    

Actual Results:  System freezes at starting interface ppp0 until a packet is
seen that triggers dial-on-demand to dial.  On a standalone system that could be
forever.  On a gateway another host can be used to trigger a dial.

Expected Results:  Interface ppp0 start should complete almost immediately.
DEMAND mode merely implies it is monitoring for demand, not dialling
immediately, so we should not wait for it.

Additional info:

This problem exists in RH 7.x also.

Comment 1 Christopher Johnson 2002-12-14 22:15:20 UTC
Created attachment 88735 [details]
A tidy avoidance of this bug.

This patch to ifup-ppp handles the DEMAND option intelligently to induce
correct behaviour.

The ideal solution might be fixing ppp-watch to be DEMAND aware instead.

Comment 2 Bill Nottingham 2003-01-14 04:23:27 UTC
I believe this is fixed differently in 7.03-1.


Note You need to log in before you can comment on or make changes to this bug.